Commit e4f26f5d authored by Sophie Brun's avatar Sophie Brun
Browse files

Fix binary_syslinux to properly detect the presence of the bootloader.

parent 914f27a8
......@@ -2,6 +2,7 @@ live-build (4.0.3-1kali2) kali-dev; urgency=medium
[ Sophie Brun ]
* Update EFI patch.
* Fix binary_syslinux to properly detect the presence of the bootloader.
[ Raphaël Hertzog ]
* Improve package list parsing code in multiple ways:
......
From: =?utf-8?q?Rapha=C3=ABl_Hertzog?= <hertzog@debian.org>
Date: Fri, 5 Dec 2014 09:36:27 +0100
Subject: Add support for EFI boot
Subject: Add support for EFI boot with syslinux-efi.
Bug-Debian: http://bugs.debian.org/731709
Bug-Kali: https://bugs.kali.org/view.php?id=680
---
scripts/build/binary | 3 +
scripts/build/binary_efi | 256 +++++++++++++++++++++++++++++++++++++++++++++++
scripts/build/binary_efi | 278 +++++++++++++++++++++++++++++++++++++++++++++++
scripts/build/binary_iso | 37 +++++++
3 files changed, 296 insertions(+)
3 files changed, 318 insertions(+)
create mode 100644 scripts/build/binary_efi
diff --git a/scripts/build/binary b/scripts/build/binary
......@@ -27,10 +27,10 @@ index c1f9ec6..b893988 100755
if [ "${LB_BUILD_WITH_CHROOT}" != "true" ]
diff --git a/scripts/build/binary_efi b/scripts/build/binary_efi
new file mode 100644
index 0000000..4e711e1
index 0000000..f98a5bf
--- /dev/null
+++ b/scripts/build/binary_efi
@@ -0,0 +1,256 @@
@@ -0,0 +1,278 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
......@@ -94,7 +94,7 @@ index 0000000..4e711e1
+esac
+
+# Assembling image specifics
+case "${LB_BINARY_IMAGES}" in
+case "${LIVE_IMAGE_TYPE}" in
+ iso*)
+ _BOOTLOADER="isolinux"
+
......@@ -115,15 +115,29 @@ index 0000000..4e711e1
+ ;;
+
+ hdd*|*)
+ _BOOTLOADER="syslinux"
+ case ${LB_BINARY_FILESYSTEM} in
+ fat*|ntfs)
+ _BOOTLOADER=syslinux
+
+ case "${LB_MODE}" in
+ progress-linux)
+ _CONFDIR="binary/boot"
+ ;;
+
+ *)
+ _CONFDIR="binary/syslinux"
+ ;;
+ esac
+ ;;
+
+ case "${LB_MODE}" in
+ progress-linux)
+ _CONFDIR="binary/boot"
+ ext[234]|btrfs)
+ _BOOTLOADER=extlinux
+ _CONFDIR="binary/boot/extlinux"
+ ;;
+
+ *)
+ _CONFDIR="binary/syslinux"
+ Echo_error "syslinux/extlinux doesn't support ${LB_BINARY_FILESYSTEM}"
+ exit 1
+ ;;
+ esac
+ ;;
......@@ -133,10 +147,11 @@ index 0000000..4e711e1
+case "${LB_BUILD_WITH_CHROOT}" in
+ true)
+ _CHROOT_DIR=""
+ _SYSLINUX_EFI_DIR="chroot/usr/lib/syslinux/$_EFI_TYPE"
+ _SYSLINUX_EFI_DIR="chroot/usr/lib/SYSLINUX.EFI/$_EFI_TYPE"
+
+ Check_package chroot/usr/bin/syslinux syslinux
+ Check_package chroot/usr/lib/syslinux syslinux-common
+ Check_package chroot/usr/lib/SYSLINUX.EFI syslinux-efi
+ Check_package chroot/usr/bin/mcopy mtools
+ Check_package chroot/sbin/mkfs.msdos dosfstools
+ ;;
......@@ -159,6 +174,13 @@ index 0000000..4e711e1
+ exit 1
+ fi
+
+ if [ ! -e /usr/lib/SYSLINUX.EFI ]
+ then
+ # syslinux-efi
+ Echo_error "/usr/lib/SYSLINUX.EFI - no such directory"
+ exit 1
+ fi
+
+ if [ ! -e /usr/bin/mcopy ]
+ then
+ # mtools
......
From: =?utf-8?q?Rapha=C3=ABl_Hertzog?= <hertzog@debian.org>
Date: Tue, 9 Dec 2014 16:48:00 +0100
Subject: binary_syslinux: correct the path used to check if the bootloader is
available
The {iso,pxe,ext,sys}linux packages use /usr/lib/{ISO,PXE,EXT,SYS}LINUX/
directories and not /share/{ISO,PXE,EXT,SYS}LINUX/.
---
scripts/build/binary_syslinux | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/scripts/build/binary_syslinux b/scripts/build/binary_syslinux
index abd900a..f0dba0e 100755
--- a/scripts/build/binary_syslinux
+++ b/scripts/build/binary_syslinux
@@ -143,7 +143,7 @@ case "${LB_BUILD_WITH_CHROOT}" in
;;
*)
- Check_package chroot/share/$(echo ${_BOOTLOADER} | tr [a-z] [A-Z]) ${_BOOTLOADER}
+ Check_package chroot/usr/lib/$(echo ${_BOOTLOADER} | tr [a-z] [A-Z]) ${_BOOTLOADER}
Check_package chroot/usr/lib/syslinux syslinux-common
;;
esac
0001-Update-linux-flavours-for-armhf-armel.patch
0002-Add-support-for-EFI-boot.patch
0002-Add-support-for-EFI-boot-with-syslinux-efi.patch
0003-Lookup-LIVE_IMAGE_-foo-and-LB_-foo-for-if-tests-in-p.patch
0004-Skip-comments-in-package-lists.patch
0005-Properly-support-empty-package-lists.patch
0006-binary_syslinux-correct-the-path-used-to-check-if-th.patch
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment